Lines Matching refs:echo

37 progname=`echo "$progpath" | $SED $basename`
55 # Check that we have a working $echo.
59 elif test "X$1" = X--fallback-echo; then
62 elif test "X`($echo '\t') 2>/dev/null`" = 'X\t'; then
63 # Yippee, $echo works!
66 # Restart under the correct shell, and then maybe $echo will work.
70 if test "X$1" = X--fallback-echo; then
71 # used as fallback echo
91 case `echo X|tr X '\101'` in
121 $echo "$modename: not configured to build any kind of library" 1>&2
122 $echo "Fatal configuration error. See the $PACKAGE docs for more information." 1>&2
132 show="$echo"
172 $echo "cannot create temporary directory \`$my_tmpdir'" 1>&2
177 $echo "X$my_tmpdir" | $Xsed
217 $echo $win32_libid_type
242 " $CC "* | "$CC "* | " `$echo $CC` "* | "`$echo $CC` "* | " $CC_quoted"* | "$CC_quoted "* | " `$echo $CC_quoted` "* | "`$echo $CC_quoted` "*) ;;
261 " $CC "* | "$CC "* | " `$echo $CC` "* | "`$echo $CC` "* | " $CC_quoted"* | "$CC_quoted "* | " `$echo $CC_quoted` "* | "`$echo $CC_quoted` "*)
275 $echo "$modename: unable to infer tagged configuration"
276 $echo "$modename: specify a tag with \`--tag'" 1>&2
279 # $echo "$modename: using $tagname tagged configuration"
298 $echo "$modename: ERROR: object name conflicts: $f_ex_an_ar_dir/$f_ex_an_ar_oldlib" 1>&2
329 my_xlib=`$echo "X$my_xlib" | $Xsed -e 's%^.*/%%'`
349 darwin_base_archive=`$echo "X$darwin_archive" | $Xsed -e 's%^.*/%%'`
352 darwin_arches=`echo "$darwin_arches" | $SED -e 's/.*are://'`
402 -*=*) optarg=`$echo "X$arg" | $Xsed -e 's/[-_a-zA-Z0-9]*=//'` ;;
419 $echo "$progname: invalid tag name: $tagname" 1>&2
435 $echo "$progname: ignoring unknown tag $tagname" 1>&2
457 $echo "$PROGRAM (GNU $PACKAGE) $VERSION$TIMESTAMP"
458 $echo
459 $echo "Copyright (C) 2005 Free Software Foundation, Inc."
460 $echo "This is free software; see the source for copying conditions. There is NO"
461 $echo "warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE."
475 $echo "$progname: enabling shell trace mode"
485 $echo "host: $host"
487 $echo "enable shared libraries"
489 $echo "disable shared libraries"
492 $echo "enable static libraries"
494 $echo "disable static libraries"
529 $echo "$modename: unrecognized option \`$arg'" 1>&2
530 $echo "$help" 1>&2
542 $echo "$modename: option \`$prevopt' requires an argument" 1>&2
543 $echo "$help" 1>&2
555 build_old_libs=`case $build_libtool_libs in yes) echo no;; *) echo yes;; esac`
568 $echo "*** Warning: inferring the mode of operation is deprecated." 1>&2
569 $echo "*** Future versions of Libtool will require --mode=MODE be specified." 1>&2
599 $echo "$modename: warning: cannot infer operation mode from \`$nonopt'" 1>&2
601 $echo "$modename: warning: cannot infer operation mode without MODE-ARGS" 1>&2
610 $echo "$modename: unrecognized option \`-dlopen'" 1>&2
611 $echo "$help" 1>&2
653 $echo "$modename: you cannot specify \`-o' more than once" 1>&2
676 args=`$echo "X$arg" | $Xsed -e "s/^-Wc,//"`
693 lastarg=`$echo "X$lastarg" | $Xsed -e "s/^ //"`
712 lastarg=`$echo "X$lastarg" | $Xsed -e "$sed_quote_subst"`
731 $echo "$modename: you must specify an argument for -Xcompile"
735 $echo "$modename: you must specify a target with \`-o'" 1>&2
740 [ -z "$libobj" ] && libobj=`$echo "X$srcfile" | $Xsed -e 's%^.*/%%'`
763 libobj=`$echo "X$libobj" | $Xsed -e "s/\.$xform$/.lo/"`
766 *.lo) obj=`$echo "X$libobj" | $Xsed -e "$lo2o"` ;;
768 $echo "$modename: cannot determine name of library object from \`$libobj'" 1>&2
794 qlibobj=`$echo "X$libobj" | $Xsed -e "$sed_quote_subst"`
800 && $echo "X$libobj" | grep '[]~#^*{};<>?"'"'"' &()|`$[]' \
801 && $echo "$modename: libobj name \`$libobj' may not contain shell special characters."
802 objname=`$echo "X$obj" | $Xsed -e 's%^.*/%%'`
803 xdir=`$echo "X$obj" | $Xsed -e 's%/[^/]*$%%'`
812 $echo "$modename: you must specify a compilation command" 1>&2
813 $echo "$help" 1>&2
841 output_obj=`$echo "X$srcfile" | $Xsed -e 's%^.*/%%' -e 's%\.[^.]*$%%'`.${objext}
860 $echo "\
874 $echo "$srcfile" > "$lockfile"
880 qsrcfile=`$echo "X$srcfile" | $Xsed -e "$sed_quote_subst"`
937 $echo "\
1009 $echo "\
1144 $echo "$modename: warning: complete static linking is impossible in this configuration" 1>&2
1172 qarg=\"`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`\" ### testsuite: skip nested quoting test
1231 $echo "$modename: symbol file \`$arg' does not exist"
1283 $echo "$modename: cannot find name of object for \`$arg'" 1>&2
1288 xdir=`$echo "X$arg" | $Xsed -e 's%/[^/]*$%%'`
1341 $echo "$modename: \`$arg' is not a valid libtool object" 1>&2
1347 xdir=`$echo "X$arg" | $Xsed -e 's%/[^/]*$%%'`
1354 pic_object=`$echo "X${xdir}${objdir}/${arg}" | $Xsed -e "$lo2o"`
1355 non_pic_object=`$echo "X${xdir}${arg}" | $Xsed -e "$lo2o"`
1362 $echo "$modename: link input file \`$save_arg' does not exist"
1374 $echo "$modename: only absolute run-paths are allowed" 1>&2
1448 $echo "$modename: \`-allow-undefined' is deprecated because it is the default" 1>&2
1474 $echo "$modename: more than one -exported-symbols argument is not allowed"
1515 dir=`$echo "X$arg" | $Xsed -e 's/^-L//'`
1522 $echo "$modename: cannot determine absolute directory name of \`$dir'" 1>&2
1538 testbindir=`$echo "X$dir" | $Xsed -e 's*/lib$*/bin*'`
1630 arg=`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`
1657 $echo "$modename: warning: \`-no-install' is ignored for $host" 1>&2
1658 $echo "$modename: warning: assuming \`-no-fast-install' instead" 1>&2
1699 dir=`$echo "X$arg" | $Xsed -e 's/^-R//'`
1704 $echo "$modename: only absolute run-paths are allowed" 1>&2
1740 args=`$echo "X$arg" | $Xsed -e "$sed_quote_subst" -e 's/^-Wc,//'`
1754 arg=`$echo "X$arg" | $Xsed -e "s/^ //"`
1758 args=`$echo "X$arg" | $Xsed -e "$sed_quote_subst" -e 's/^-Wl,//'`
1773 arg=`$echo "X$arg" | $Xsed -e "s/^ //"`
1795 arg=`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`
1827 $echo "$modename: cannot find name of object for \`$arg'" 1>&2
1832 xdir=`$echo "X$arg" | $Xsed -e 's%/[^/]*$%%'`
1885 $echo "$modename: \`$arg' is not a valid libtool object" 1>&2
1891 xdir=`$echo "X$arg" | $Xsed -e 's%/[^/]*$%%'`
1898 pic_object=`$echo "X${xdir}${objdir}/${arg}" | $Xsed -e "$lo2o"`
1899 non_pic_object=`$echo "X${xdir}${arg}" | $Xsed -e "$lo2o"`
1934 arg=`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`
1951 $echo "$modename: the \`$prevarg' option requires an argument" 1>&2
1952 $echo "$help" 1>&2
1964 outputname=`$echo "X$output" | $Xsed -e 's%^.*/%%'`
1969 eval shlib_search_path=\`\$echo \"X\${$shlibpath_var}\" \| \$Xsed -e \'s/:/ /g\'\`
1976 output_objdir=`$echo "X$output" | $Xsed -e 's%/[^/]*$%%'`
1995 $echo "$modename: you must specify an output file" 1>&2
1996 $echo "$help" 1>&2
2058 $echo "$modename: libraries can \`-dlopen' only libtool libraries: $file" 1>&2
2108 $echo "$modename: warning: \`-l' is ignored for archives/objects" 1>&2
2111 name=`$echo "X$deplib" | $Xsed -e 's/^-l//'`
2155 ladir=`$echo "X$lib" | $Xsed -e 's%/[^/]*$%%'`
2180 newlib_search_path="$newlib_search_path "`$echo "X$deplib" | $Xsed -e 's/^-L//'`
2193 newlib_search_path="$newlib_search_path "`$echo "X$deplib" | $Xsed -e 's/^-L//'`
2196 $echo "$modename: warning: \`-L' is ignored for archives/objects" 1>&2
2203 dir=`$echo "X$deplib" | $Xsed -e 's/^-R//'`
2226 if eval $echo \"$deplib\" 2>/dev/null \
2237 $echo
2238 $echo "*** Warning: Trying to link with static lib archive $deplib."
2239 $echo "*** I have the capability to make that library automatically link in when"
2240 $echo "*** you link to this library. But I can only do this if you have a"
2241 $echo "*** shared version of the library, which you do not appear to have"
2242 $echo "*** because the file extensions .$libext of this argument makes me believe"
2243 $echo "*** that it is just a static archive that I should not used here."
2245 $echo
2246 $echo "*** Warning: Linking the shared library $output against the"
2247 $echo "*** static library $deplib is not portable!"
2286 $echo "$modename: cannot find the library \`$lib' or unhandled argument \`$deplib'" 1>&2
2293 $echo "$modename: \`$lib' is not a valid libtool archive" 1>&2
2297 ladir=`$echo "X$lib" | $Xsed -e 's%/[^/]*$%%'`
2331 $echo "$modename: cannot find name of link library for \`$lib'" 1>&2
2348 $echo "$modename: \`$lib' is not a convenience library" 1>&2
2361 $echo "$modename: cannot find name of link library for \`$lib'" 1>&2
2368 $echo "$modename: cannot -dlopen a convenience library: \`$lib'" 1>&2
2391 $echo "$modename: warning: cannot determine absolute directory name of \`$ladir'" 1>&2
2392 $echo "$modename: passing it literally to the linker, although it might fail" 1>&2
2397 laname=`$echo "X$lib" | $Xsed -e 's%^.*/%%'`
2402 $echo "$modename: warning: library \`$lib' was moved." 1>&2
2424 name=`$echo "X$laname" | $Xsed -e 's/\.la$//' -e 's/^lib//'`
2429 $echo "$modename: cannot -dlpreopen a convenience library: \`$lib'" 1>&2
2471 -L*) newlib_search_path="$newlib_search_path "`$echo "X$deplib" | $Xsed -e 's/^-L//'`;; ### testsuite: skip nested quoting test
2552 $echo
2554 $echo "*** Warning: Linking the executable $output against the loadable module"
2556 $echo "*** Warning: Linking the shared library $output against the loadable module"
2558 $echo "*** $linklib is not portable!"
2590 libname=`eval \\$echo \"$libname_spec\"`
2609 soname=`$echo $soroot | ${SED} -e 's/^.*\///'`
2610 newlib="libimp-`$echo $soname | ${SED} 's/^lib//;s/\.dll$//'`.a"
2664 $echo "** Warning, lib $linklib is a module, not a shared library"
2666 $echo
2667 $echo "** And there doesn't seem to be a static archive available"
2668 $echo "** The link will probably fail, sorry"
2712 $echo "$modename: configuration error: unsupported hardcode properties"
2804 $echo
2805 $echo "*** Warning: This system can not link to static lib archive $lib."
2806 $echo "*** I have the capability to make that library automatically link in when"
2807 $echo "*** you link to this library. But I can only do this if you have a"
2808 $echo "*** shared version of the library, which you do not appear to have."
2810 $echo "*** But as you try to build a module library, libtool will still create "
2811 $echo "*** a static module, that should work as long as the dlopening application"
2812 $echo "*** is linked with the -dlopen flag to resolve symbols at runtime."
2814 $echo
2815 $echo "*** However, this would only work if libtool was able to extract symbol"
2816 $echo "*** lists from a program, using \`nm' or equivalent, but libtool could"
2817 $echo "*** not find such a program. So, this module is probably useless."
2818 $echo "*** \`nm' from GNU binutils and a full rebuild may help."
2842 -R*) temp_xrpath=`$echo "X$libdir" | $Xsed -e 's/^-R//'`
2874 dir=`$echo "X$deplib" | $Xsed -e 's%/[^/]*$%%'`
2882 $echo "$modename: warning: cannot determine absolute directory name of \`$dir'" 1>&2
2892 $echo "$modename: \`$deplib' is not a valid libtool archive" 1>&2
2896 $echo "$modename: warning: \`$deplib' seems to be moved" 1>&2
2930 eval tmp_libs=`$echo "X$deplib" | $Xsed -e "s,^\-l,,"`
3060 $echo "$modename: warning: \`-l' and \`-L' are ignored for archives" 1>&2
3064 $echo "$modename: warning: \`-dlopen' is ignored for archives" 1>&2
3068 $echo "$modename: warning: \`-rpath' is ignored for archives" 1>&2
3072 $echo "$modename: warning: \`-R' is ignored for archives" 1>&2
3076 $echo "$modename: warning: \`-version-info/-version-number' is ignored for archives" 1>&2
3080 $echo "$modename: warning: \`-release' is ignored for archives" 1>&2
3084 $echo "$modename: warning: \`-export-symbols' is ignored for archives" 1>&2
3097 name=`$echo "X$outputname" | $Xsed -e 's/\.la$//' -e 's/^lib//'`
3103 $echo "$modename: libtool library \`$output' must begin with \`lib'" 1>&2
3104 $echo "$help" 1>&2
3109 name=`$echo "X$outputname" | $Xsed -e 's/\.la$//'`
3113 libname=`$echo "X$outputname" | $Xsed -e 's/\.la$//'`
3120 $echo "$modename: cannot build libtool library \`$output' from non-libtool objects on this host:$objs" 2>&1
3123 $echo
3124 $echo "*** Warning: Linking the shared library $output against the non-libtool"
3125 $echo "*** objects $objs is not portable!"
3131 $echo "$modename: warning: \`-dlopen self' is ignored for libtool libraries" 1>&2
3136 $echo "$modename: warning: ignoring multiple \`-rpath's for a libtool library" 1>&2
3153 $echo "$modename: warning: \`-version-info/-version-number' is ignored for convenience libraries" 1>&2
3157 $echo "$modename: warning: \`-release' is ignored for convenience libraries" 1>&2
3167 $echo "$modename: too many parameters to \`-version-info'" 1>&2
3168 $echo "$help" 1>&2
3217 $echo "$modename: CURRENT \`$current' must be a nonnegative integer" 1>&2
3218 $echo "$modename: \`$vinfo' is not valid version information" 1>&2
3226 $echo "$modename: REVISION \`$revision' must be a nonnegative integer" 1>&2
3227 $echo "$modename: \`$vinfo' is not valid version information" 1>&2
3235 $echo "$modename: AGE \`$age' must be a nonnegative integer" 1>&2
3236 $echo "$modename: \`$vinfo' is not valid version information" 1>&2
3242 $echo "$modename: AGE \`$age' is greater than the current interface number \`$current'" 1>&2
3243 $echo "$modename: \`$vinfo' is not valid version information" 1>&2
3331 $echo "$modename: unknown library version type \`$version_type'" 1>&2
3332 $echo "Fatal configuration error. See the $PACKAGE docs for more information." 1>&2
3367 $echo "$modename: warning: undefined symbols not allowed in $host shared libraries" 1>&2
3381 tempremovelist=`$echo "$output_objdir/*"`
3388 if echo $p | $EGREP -e "$precious_files_regex" >/dev/null 2>&1
3409 oldobjs="$objs "`$echo "X$libobjs" | $SP2NL | $Xsed -e '/\.'${libext}'$/d' -e "$lo2o" | $NL2SP`
3414 lib_search_path=`$echo "$lib_search_path " | ${SED} -e "s% $path % %g"`
3415 deplibs=`$echo "$deplibs " | ${SED} -e "s% -L$path % %g"`
3416 dependency_libs=`$echo "$dependency_libs " | ${SED} -e "s% -L$path % %g"`
3534 libname=`eval \\$echo \"$libname_spec\"`
3535 deplib_matches=`eval \\$echo \"$library_names_spec\"`
3542 $echo
3543 $echo "*** Warning: dynamic linker does not accept needed library $i."
3544 $echo "*** I have the capability to make that library automatically link in when"
3545 $echo "*** you link to this library. But I can only do this if you have a"
3546 $echo "*** shared version of the library, which I believe you do not have"
3547 $echo "*** because a test_compile did reveal that the linker did not use it for"
3548 $echo "*** its dynamic dependency list that programs get resolved with at runtime."
3576 libname=`eval \\$echo \"$libname_spec\"`
3577 deplib_matches=`eval \\$echo \"$library_names_spec\"`
3584 $echo
3585 $echo "*** Warning: dynamic linker does not accept needed library $i."
3586 $echo "*** I have the capability to make that library automatically link in when"
3587 $echo "*** you link to this library. But I can only do this if you have a"
3588 $echo "*** shared version of the library, which you do not appear to have"
3589 $echo "*** because a test_compile did reveal that the linker did not use this one"
3590 $echo "*** as a dynamic dependency that programs can get resolved with at runtime."
3595 $echo
3596 $echo "*** Warning! Library $i is needed by this library but I was not able to"
3597 $echo "*** make it link in! You will probably need to install it or some"
3598 $echo "*** library that it depends on before this library will be fully"
3599 $echo "*** functional. Installing it before continuing would be even better."
3623 libname=`eval \\$echo \"$libname_spec\"`
3642 *) potlib=`$echo "X$potlib" | $Xsed -e 's,[^/]*$,,'`"$potliblink";;
3657 $echo
3658 $echo "*** Warning: linker path does not have real file for library $a_deplib."
3659 $echo "*** I have the capability to make that library automatically link in when"
3660 $echo "*** you link to this library. But I can only do this if you have a"
3661 $echo "*** shared version of the library, which you do not appear to have"
3662 $echo "*** because I did check the linker path looking for a file starting"
3664 $echo "*** with $libname but no candidates were found. (...for file magic test)"
3666 $echo "*** with $libname and none of the candidates passed a file format test"
3667 $echo "*** using a file magic. Last file checked: $potlib"
3692 libname=`eval \\$echo \"$libname_spec\"`
3697 if eval $echo \"$potent_lib\" 2>/dev/null \
3709 $echo
3710 $echo "*** Warning: linker path does not have real file for library $a_deplib."
3711 $echo "*** I have the capability to make that library automatically link in when"
3712 $echo "*** you link to this library. But I can only do this if you have a"
3713 $echo "*** shared version of the library, which you do not appear to have"
3714 $echo "*** because I did check the linker path looking for a file starting"
3716 $echo "*** with $libname but no candidates were found. (...for regex pattern test)"
3718 $echo "*** with $libname and none of the candidates passed a file format test"
3719 $echo "*** using a regex pattern. Last file checked: $potlib"
3730 tmp_deplibs=`$echo "X $deplibs" | $Xsed -e 's/ -lc$//' \
3735 tmp_deplibs=`$echo "X $tmp_deplibs" | ${SED} -e "1s,^X,," -e "s,$i,,"`
3738 if $echo "X $tmp_deplibs" | $Xsed -e 's/[ ]//g' \
3740 $echo
3742 $echo "*** Warning: inter-library dependencies are not supported in this platform."
3744 $echo "*** Warning: inter-library dependencies are not known to be supported."
3746 $echo "*** All declared inter-library dependencies are being dropped."
3760 newdeplibs=`$echo "X $newdeplibs" | $Xsed -e 's/ -lc / -framework System /'`
3766 $echo
3767 $echo "*** Warning: libtool could not satisfy all declared inter-library"
3768 $echo "*** dependencies of module $libname. Therefore, libtool will create"
3769 $echo "*** a static module, that should work as long as the dlopening"
3770 $echo "*** application is linked with the -dlopen flag."
3772 $echo
3773 $echo "*** However, this would only work if libtool was able to extract symbol"
3774 $echo "*** lists from a program, using \`nm' or equivalent, but libtool could"
3775 $echo "*** not find such a program. So, this module is probably useless."
3776 $echo "*** \`nm' from GNU binutils and a full rebuild may help."
3786 $echo "*** The inter-library dependencies that have been dropped here will be"
3787 $echo "*** automatically added whenever a program is linked with this library"
3788 $echo "*** or is declared to -dlopen it."
3791 $echo
3792 $echo "*** Since this library must not contain undefined symbols,"
3793 $echo "*** because either the platform does not support them or"
3794 $echo "*** it was explicitly requested with -no-undefined,"
3795 $echo "*** libtool will only create a static version of it."
3929 test -z "$pic_flag" && libobjs=`$echo "X$libobjs" | $SP2NL | $Xsed -e "$lo2o" | $NL2SP`
3967 $run eval '$echo "X$include_expsyms" | $SP2NL >> "$export_symbols"'
4029 $echo "creating reloadable object files..."
4043 output_la=`$echo "X$output" | $Xsed -e "$basename"`
4104 $echo "creating a temporary reloadable object file: $output"
4194 $echo "$modename: warning: \`-l' and \`-L' are ignored for objects" 1>&2
4198 $echo "$modename: warning: \`-dlopen' is ignored for objects" 1>&2
4202 $echo "$modename: warning: \`-rpath' is ignored for objects" 1>&2
4206 $echo "$modename: warning: \`-R' is ignored for objects" 1>&2
4210 $echo "$modename: warning: \`-version-info' is ignored for objects" 1>&2
4214 $echo "$modename: warning: \`-release' is ignored for objects" 1>&2
4220 $echo "$modename: cannot build library object \`$output' from non-libtool objects" 1>&2
4224 obj=`$echo "X$output" | $Xsed -e "$lo2o"`
4258 reload_objs="$objs$old_deplibs "`$echo "X$libobjs" | $SP2NL | $Xsed -e '/\.'${libext}$'/d' -e '/\.lib$/d' -e "$lo2o" | $NL2SP`" $reload_conv_objs" ### testsuite: skip nested quoting test
4289 # $show "echo timestamp > $libobj"
4290 # $run eval "echo timestamp > $libobj" || exit $?
4319 *cygwin*) output=`$echo $output | ${SED} -e 's,.exe$,,;s,$,.exe,'` ;;
4322 $echo "$modename: warning: \`-version-info' is ignored for programs" 1>&2
4326 $echo "$modename: warning: \`-release' is ignored for programs" 1>&2
4332 $echo "$modename: warning: \`AC_LIBTOOL_DLOPEN' not used. Assuming no dlopen support."
4339 compile_deplibs=`$echo "X $compile_deplibs" | $Xsed -e 's/ -lc / -framework System /'`
4340 finalize_deplibs=`$echo "X $finalize_deplibs" | $Xsed -e 's/ -lc / -framework System /'`
4427 testbindir=`$echo "X$libdir" | $Xsed -e 's*/lib$*/bin*'`
4485 compile_command=`$echo "X$compile_command" | $SP2NL | $Xsed -e "$lo2o" | $NL2SP`
4486 finalize_command=`$echo "X$finalize_command" | $SP2NL | $Xsed -e "$lo2o" | $NL2SP`
4494 $echo "$modename: not configured to extract global symbols from dlpreopened files" 1>&2
4511 test -z "$run" && $echo > "$output_objdir/$dlsyms" "\
4528 test -z "$run" && $echo ': @PROGRAM@ ' > "$nlist"
4531 progfiles=`$echo "X$objs$old_deplibs" | $SP2NL | $Xsed -e "$lo2o" | $NL2SP`
4554 $run eval "echo EXPORTS "'> "$output_objdir/$outputname.def"'
4564 $run eval "echo EXPORTS "'> "$output_objdir/$outputname.def"'
4573 name=`$echo "$arg" | ${SED} -e 's%^.*/%%'`
4574 $run eval '$echo ": $name " >> "$nlist"'
4603 $echo '/* NONE */' >> "$output_objdir/$dlsyms"
4606 $echo >> "$output_objdir/$dlsyms" "\
4622 $echo >> "$output_objdir/$dlsyms" "\
4630 $echo >> "$output_objdir/$dlsyms" "\
4637 $echo >> "$output_objdir/$dlsyms" "\
4647 $echo >> "$output_objdir/$dlsyms" "\
4695 compile_command=`$echo "X$compile_command" | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}.def $output_objdir/${outputname}S.${objext}%"`
4696 finalize_command=`$echo "X$finalize_command" | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}.def $output_objdir/${outputname}S.${objext}%"`
4698 compile_command=`$echo "X$compile_command" | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}S.${objext}%"`
4699 finalize_command=`$echo "X$finalize_command" | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}S.${objext}%"`
4703 compile_command=`$echo "X$compile_command" | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}S.${objext}%"`
4704 finalize_command=`$echo "X$finalize_command" | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}S.${objext}%"`
4709 $echo "$modename: unknown suffix for \`$dlsyms'" 1>&2
4719 compile_command=`$echo "X$compile_command" | $Xsed -e "s% @SYMFILE@%%"`
4720 finalize_command=`$echo "X$finalize_command" | $Xsed -e "s% @SYMFILE@%%"`
4725 compile_command=`$echo "X$compile_command" | $Xsed -e 's%@OUTPUT@%'"$output"'%g'`
4792 link_command=`$echo "X$link_command" | $Xsed -e 's%@OUTPUT@%'"$output"'%g'`
4806 $echo "$modename: warning: this platform does not like uninstalled shared libraries" 1>&2
4807 $echo "$modename: \`$output' will be relinked during installation" 1>&2
4812 relink_command=`$echo "X$compile_var$compile_command$compile_rpath" | $Xsed -e 's%@OUTPUT@%\$progdir/\$file%g'`
4824 link_command=`$echo "X$link_command" | $Xsed -e 's%@OUTPUT@%'"$output_objdir/$outputname"'%g'`
4844 var_value=`$echo "X$var_value" | $Xsed -e "$sed_quote_subst"`
4849 relink_command=`$echo "X$relink_command" | $Xsed -e "$sed_quote_subst"`
4852 # Quote $echo for shipping.
4853 if test "X$echo" = "X$SHELL $progpath --fallback-echo"; then
4855 [\\/]* | [A-Za-z]:[\\/]*) qecho="$SHELL $progpath --fallback-echo";;
4856 *) qecho="$SHELL `pwd`/$progpath --fallback-echo";;
4858 qecho=`$echo "X$qecho" | $Xsed -e "$sed_quote_subst"`
4860 qecho=`$echo "X$echo" | $Xsed -e "$sed_quote_subst"`
4868 *.exe) output=`$echo $output|${SED} 's,.exe$,,'` ;;
4874 outputname=`$echo $outputname|${SED} 's,.exe$,,'` ;;
5239 $echo > $output "\
5267 # When we are sourced in execute mode, \$file and \$echo are already set.
5269 echo=\"$qecho\"
5271 # Make sure echo works.
5275 elif test \"X\`(\$echo '\t') 2>/dev/null\`\" = 'X\t'; then
5276 # Yippee, \$echo works!
5279 # Restart under the correct shell, and then maybe \$echo will work.
5284 $echo >> $output "\
5287 thisdir=\`\$echo \"X\$file\" | \$Xsed -e 's%/[^/]*$%%'\`
5293 destdir=\`\$echo \"X\$file\" | \$Xsed -e 's%/[^/]*\$%%'\`
5303 file=\`\$echo \"X\$file\" | \$Xsed -e 's%^.*/%%'\`
5313 $echo >> $output "\
5329 $echo >> $output "\
5335 $echo \"\$relink_command_output\" >&2
5347 $echo >> $output "\
5353 $echo >> $output "\
5359 $echo >> $output "\
5365 $shlibpath_var=\`\$echo \"X\$$shlibpath_var\" | \$Xsed -e 's/::*\$//'\`
5373 $echo >> $output "\
5379 $echo >> $output "\
5386 $echo >> $output "\
5392 $echo >> $output "\
5397 $echo >> $output "\
5398 \$echo \"\$0: cannot exec \$program \${1+\"\$@\"}\"
5403 \$echo \"\$0: error: \\\`\$progdir/\$program' does not exist\" 1>&2
5404 \$echo \"This script is just a wrapper for \$program.\" 1>&2
5405 $echo \"See the $PACKAGE documentation for more information.\" 1>&2
5453 $echo "X$obj" | $Xsed -e 's%^.*/%%'
5457 $echo "copying selected object files to avoid basename conflicts..."
5478 objbase=`$echo "X$obj" | $Xsed -e 's%^.*/%%'`
5509 $echo "using piecewise archive linking..."
5578 var_value=`$echo "X$var_value" | $Xsed -e "$sed_quote_subst"`
5584 relink_command=`$echo "X$relink_command" | $Xsed -e "$sed_quote_subst"`
5603 name=`$echo "X$deplib" | $Xsed -e 's%^.*/%%'`
5606 $echo "$modename: \`$deplib' is not a valid libtool archive" 1>&2
5617 name=`$echo "X$lib" | $Xsed -e 's%^.*/%%'`
5620 $echo "$modename: \`$lib' is not a valid libtool archive" 1>&2
5628 name=`$echo "X$lib" | $Xsed -e 's%^.*/%%'`
5631 $echo "$modename: \`$lib' is not a valid libtool archive" 1>&2
5663 $echo > $output "\
5700 $echo >> $output "\
5723 $echo "X$nonopt" | grep shtool > /dev/null; then
5725 arg=`$echo "X$nonopt" | $Xsed -e "$sed_quote_subst"`
5741 arg=`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`
5792 arg=`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`
5802 $echo "$modename: you must specify an install program" 1>&2
5803 $echo "$help" 1>&2
5808 $echo "$modename: the \`$prev' option requires an argument" 1>&2
5809 $echo "$help" 1>&2
5815 $echo "$modename: no file or destination specified" 1>&2
5817 $echo "$modename: you must specify a destination" 1>&2
5819 $echo "$help" 1>&2
5824 dest=`$echo "X$dest" | $Xsed -e 's%/$%%'`
5832 destdir=`$echo "X$dest" | $Xsed -e 's%/[^/]*$%%'`
5834 destname=`$echo "X$dest" | $Xsed -e 's%^.*/%%'`
5839 $echo "$modename: \`$dest' is not a directory" 1>&2
5840 $echo "$help" 1>&2
5851 $echo "$modename: \`$destdir' must be an absolute directory name" 1>&2
5852 $echo "$help" 1>&2
5880 $echo "$modename: \`$file' is not a valid libtool archive" 1>&2
5881 $echo "$help" 1>&2
5908 dir=`$echo "X$file" | $Xsed -e 's%/[^/]*$%%'`/
5914 inst_prefix_dir=`$echo "$destdir" | $SED "s%$libdir\$%%"`
5923 $echo "$modename: error: cannot install \`$file' to a directory not ending in $libdir" 1>&2
5929 relink_command=`$echo "$relink_command" | $SED "s%@inst_prefix_dir@%-inst-prefix-dir $inst_prefix_dir%"`
5931 relink_command=`$echo "$relink_command" | $SED "s%@inst_prefix_dir@%%"`
5934 $echo "$modename: warning: relinking \`$file'" 1>&2
5938 $echo "$modename: error: relink \`$file' with the above command before installing it" 1>&2
5998 name=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
6014 destfile=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
6021 staticdest=`$echo "X$destfile" | $Xsed -e "$lo2o"`
6028 $echo "$modename: cannot copy a libtool object to \`$destfile'" 1>&2
6029 $echo "$help" 1>&2
6043 staticobj=`$echo "X$file" | $Xsed -e "$lo2o"`
6056 destfile=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
6067 file=`$echo $file|${SED} 's,.exe$,,'`
6076 wrapper=`$echo $file | ${SED} -e 's,.exe$,,'`
6099 $echo "$modename: invalid libtool wrapper script \`$wrapper'" 1>&2
6114 libfile="$libdir/"`$echo "X$lib" | $Xsed -e 's%^.*/%%g'` ### testsuite: skip nested quoting test
6116 $echo "$modename: warning: \`$lib' has not been installed in \`$libdir'" 1>&2
6137 file=`$echo "X$file$stripped_ext" | $Xsed -e 's%^.*/%%'`
6140 relink_command=`$echo "X$relink_command" | $Xsed -e 's%@OUTPUT@%'"$outputname"'%g'`
6145 $echo "$modename: error: relink \`$file' with the above command before installing it" 1>&2
6151 $echo "$modename: warning: cannot relink \`$file'" 1>&2
6155 file=`$echo "X$file$stripped_ext" | $Xsed -e "s%\([^/]*\)$%$objdir/\1%"`
6171 destfile=`$echo $destfile | ${SED} -e 's,.exe$,,'`
6184 name=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
6210 $echo "$modename: warning: remember to run \`$progname --finish$future_libdirs'" 1>&2
6260 $echo "X----------------------------------------------------------------------" | $Xsed
6261 $echo "Libraries have been installed in:"
6263 $echo " $libdir"
6265 $echo
6266 $echo "If you ever happen to want to link against installed libraries"
6267 $echo "in a given directory, LIBDIR, you must either use libtool, and"
6268 $echo "specify the full pathname of the library, or use the \`-LLIBDIR'"
6269 $echo "flag during linking and do at least one of the following:"
6271 $echo " - add LIBDIR to the \`$shlibpath_var' environment variable"
6272 $echo " during execution"
6275 $echo " - add LIBDIR to the \`$runpath_var' environment variable"
6276 $echo " during linking"
6282 $echo " - use the \`$flag' linker flag"
6285 $echo " - have your system administrator run these commands:$admincmds"
6288 $echo " - have your system administrator add LIBDIR to \`/etc/ld.so.conf'"
6290 $echo
6291 $echo "See any operating system documentation about shared libraries for"
6292 $echo "more information, such as the ld(1) and ld.so(8) manual pages."
6293 $echo "X----------------------------------------------------------------------" | $Xsed
6304 $echo "$modename: you must specify a COMMAND" 1>&2
6305 $echo "$help"
6312 $echo "$modename: \`$file' is not a file" 1>&2
6313 $echo "$help" 1>&2
6323 $echo "$modename: \`$lib' is not a valid libtool archive" 1>&2
6324 $echo "$help" 1>&2
6341 test -n "$library_names" && $echo "$modename: warning: \`$file' was not linked with \`-export-dynamic'"
6345 dir=`$echo "X$file" | $Xsed -e 's%/[^/]*$%%'`
6351 $echo "$modename: cannot find \`$dlname' in \`$dir' or \`$dir/$objdir'" 1>&2
6358 dir=`$echo "X$file" | $Xsed -e 's%/[^/]*$%%'`
6363 $echo "$modename: warning \`-dlopen' is ignored for non-libtool libraries and objects" 1>&2
6405 file=`$echo "X$file" | $Xsed -e "$sed_quote_subst"`
6428 eval "\$echo \"\$shlibpath_var=\$$shlibpath_var\""
6429 $echo "export $shlibpath_var"
6431 $echo "$cmd$args"
6458 $echo "$modename: you must specify an RM program" 1>&2
6459 $echo "$help" 1>&2
6467 dir=`$echo "X$file" | $Xsed -e 's%/[^/]*$%%'`
6474 name=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
6584 file=`$echo $file|${SED} 's,.exe$,,'`
6585 noexename=`$echo $name|${SED} 's,.exe$,,'`
6626 $echo "$modename: you must specify a MODE" 1>&2
6627 $echo "$generic_help" 1>&2
6633 $echo "$modename: invalid operation mode \`$mode'" 1>&2
6634 $echo "$generic_help" 1>&2
6646 "") $echo \
6681 $echo \
6695 $echo \
6716 $echo \
6736 $echo \
6748 $echo \
6761 $echo \
6816 $echo \
6830 $echo "$modename: invalid operation mode \`$mode'" 1>&2
6831 $echo "$help" 1>&2
6836 $echo
6837 $echo "Try \`$modename --help' for more information about other modes."